# Release Notes

## April 14, 2025 - Version 0.22.0

This release includes several new features that allow users to more easily view and diagnose behavioral shifts in their test sessions. Check out [Similarity Index](/v0.25.x/using-distributional/tests/reviewing-tests/what-is-a-similarity-index.md), our way of quantifying drift, and create new tests based on the key insights we surface!

### New Features

* Similarity Index: Added initial computation, Likert scale support, history charts, test creation, and UI enhancements.
* Metrics System: Introduced metric APIs, creation forms, and computation jobs
* UI/UX:
  * Key Insights and summary detail view improvements
  * Summary chips, tooltips, sortable tables
  * Various UI and UX improvements, including column metrics pages and test creation shortcuts
* Schema & Typing:
  * Parametrized type handling in UI
  * Improved type system: `to_json_value`, nullability, JSON unnesting
  * Schema unification

### Improvements

* Helm & Dependency Management:
  * Updated helm charts and lock files
  * Repinned/upgraded Python and JS dependencies (e.g., `alembic`, `ruff`, `identify`)
* UI/UX:
  * Improved Summary Tab and Test Session views
  * Fixed overlay defaults, sorted metrics table, and chart tooltips
  * Responsive layout tweaks and consistent styling
* General improvements:
  * Code quality, cleanup (deprecated / legacy code), and improved organization

### Bug Fixes

* UI/UX: Fixed navigation issues, loading states, pagination, and flaky links.
* Infrastructure: Resolved Helm/chart/tagging issues, GitHub Actions bugs, and sandbox setup problems.
* Testing: Addressed test failures and integration test inconsistencies.

### SDK Updates

* RunConfig or RunSchema for Runs (defaults to RunSchema on infer)
  * Integrated metrics into the `RunSchema` object
  * `RunConfig`deprecated for future releases
* Enabled metric creation and deletion
* Added `wait_for_run_close` utility (now default behavior)
* Improved command-line feedback and error handling (e.g., Docker not running)
* Removed support for legacy types and deprecated `DBNL_API_HOST`
* Adjusted version bounds for `numpy` and `spacy`
* Fixed multiple issues with publishing wheels and builds
* Improved SDK integration tests (including `wait_for_close`)
* Cleaned up comments and enhanced docstrings

## Mar 21, 2025 - Version 0.21.1

This patch release adds a critical bug fix to the sandbox authentication flow.

### Bug Fixes

* Fix a bug with the sandbox authentication flow that resulted in credentials being considered invalid

## Mar 17, 2025 - Version 0.21.0

This release adds a sandbox environment with the dbnl platform which can be deployed to a single machine. Contact us for access!&#x20;

### New Features

* New Sandbox deployment option
* Support for RunSchema on Run creation in the API

### Improvements

* Add install option to set dev tokens expiration policy
* Link to versioned documentation from the UI
* Terms of service updates
* Remove link to "View Test Analysis" page

### Bug Fixes

* \[UI] Only allow closed runs when selecting a default run for comparison in UI
* \[UI] Allow selecting more than 10 columns in test session summary page
* \[SDK] Fixed default namespace in URL for project upon get\_or\_create

### SDK Updates

* New SDK CLI interface
* Changes in minimum and maximum versions for some libraries (pyarrow, numpy, spacy)

## Feb 18, 2025 - Version 0.20.0

This release adds a number of new features, improvements, and bug fixes.&#x20;

### New Features

* New Test History feature in Test Spec detail page that enables users to understand a single tests' behavior over time, including its recalibration history&#x20;
* Added support for [Slack notifications](/v0.25.x/to-be-deleted/stages-in-the-ai-software-development-lifecycle/reviewing-test-sessions-and-runs-in-distributional/notifications.md) in UI

### Improvements

* Close runs in the UI
* Viewable dbnl version in sidebar
* UI performance improvements
* Update color of links
* Preserve input expressions in test spec editor
* Extend scope of Project export
  * Export Tags by name for Project export
  * Better error messages for Project import
* Improve namespace support for multi-org users
* Miscellaneous package updates
* Validate results on run close
* `/projects` redirects to home page

### Bug Fixes

* Fix broken pagination
* Fix broken Histogram title
* Fix Results Table rendering issue for some Tests
* Fix support for decimal values in assertion params
* Fix rendering of `=` and `!=` Assertions
* Test spec editor navigation bugfix

### New SDK Version

* Check compatibility with API version
* Add support for double and long values
* Improved errors for invalid API URL configuration
* Remove `en-core-web-sm` from requirements to enable PyPI support
* Updated helm-charts for on-prem

## Jan 13, 2025 - Version 0.19.0

Highlights in this version:

* Improvements to the project import/export feature including support for notifications.
* Support for new versioning and release process.
* Better dependency management.
* Too many bug fixes and UX improvements to list in detail.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dbnl.com/v0.25.x/versions/release-notes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
